/*****************************************************************************

\file misra_def.h
\brief <b>Turn MISRA warnings to default</b>

\remark
  - Version for IAR EW for Renesas RL78 1.30
  - No doxygen commands allowed with doxygen 1.8.7

*//***************************************************************************

History:
2014-07-16  HaSchm
- Initial revision

*****************************************************************************/


#ifdef __IAR_SYSTEMS_ICC__
  #pragma diag_default=Pm025,Pm064,Pm077,Pm081,Pm088,Pm093,Pm121,Pm136,Pm137,Pm139,Pm142,Pm152
  /* MISRA C rule:       9.3, 16.1, 19.1, 19.6, 17.4, 18.4,19.15, 10.3, 10.4, 11.2, 11.5, 17.4 */
  /* Error[Pm077]: #include statements in a file shall only be preceded by
     other preprocessor directives or comments (MISRA C 2004 rule 19.1) */
#endif


/* eof misra_def.h */
